Bug 1443878 - changes in NM assuming of devices causing regressions in Anaconda
Summary: changes in NM assuming of devices causing regressions in Anaconda
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager
Version: 7.3
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: rc
: 7.4
Assignee: Thomas Haller
QA Contact: Desktop QE
URL:
Whiteboard:
: 1439220 (view as bug list)
Depends On: 1439220
Blocks: 1299988
TreeView+ depends on / blocked
 
Reported: 2017-04-20 08:06 UTC by Radek Vykydal
Modified: 2017-11-28 03:14 UTC (History)
22 users (show)

Fixed In Version: NetworkManager-1.8.0-0.4.rc3.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1439220
Environment:
Last Closed: 2017-08-01 09:27:08 UTC


Attachments (Terms of Use)
logs with new NetworkManager (version 1.8.0-0.4.rc1.el7) (155.99 KB, text/plain)
2017-04-25 12:20 UTC, IBM Bug Proxy
no flags Details
logs with new NetworkManager (version 1.8.0-0.2.git20170215.1d40c5f4.el7) (140.70 KB, text/plain)
2017-04-25 12:20 UTC, IBM Bug Proxy
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2299 normal SHIPPED_LIVE Moderate: NetworkManager and libnl3 security, bug fix and enhancement update 2017-08-01 12:40:28 UTC
IBM Linux Technology Center 153585 None None None 2019-05-22 08:31:22 UTC
Red Hat Bugzilla 1394579 None CLOSED improve handling of unmanaged/assumed devices 2019-05-22 08:31:23 UTC

Internal Links: 1394579

Comment 2 Radek Vykydal 2017-04-20 08:11:05 UTC
Changes in bug 1394579 are causing regressions in Anaconda which has been assuming one conection per device (the matched ifcfg connection vs additionally generated in-memory connection).

Comment 3 Radek Vykydal 2017-04-20 08:16:49 UTC
(In reply to Radek Vykydal from comment #0)
 
> --- Additional comment from Thomas Haller on 2017-04-19 09:33:01 EDT ---
> 
> I see.
> 
> I think we should fix NM so that the heuristic of choosing between a) and b)
> behavior is closer to the previous behavior. Then NM should detect that the
> existing file is a candidate to assume.

Thank you,

we could also set some NM configuration in installer to run in something like the former behavior mode, but perhaps you want to fix it without special casing (ie based just on existence of NM state file?).

Comment 5 Radek Vykydal 2017-04-25 11:45:11 UTC
*** Bug 1439220 has been marked as a duplicate of this bug. ***

Comment 6 IBM Bug Proxy 2017-04-25 12:20:27 UTC
Created attachment 1273895 [details]
logs with new NetworkManager (version 1.8.0-0.4.rc1.el7)

Comment 7 IBM Bug Proxy 2017-04-25 12:20:36 UTC
Created attachment 1273896 [details]
logs with new NetworkManager (version 1.8.0-0.2.git20170215.1d40c5f4.el7)

Comment 8 Radek Vykydal 2017-04-28 08:29:27 UTC
Will this update go to F26 as well? I am not sure if the new build for f26 has it and when it will hit the compose.

In Fedora we have two related bugs (bug 1439388, bug 1439051 - most probably having the same cause). The traceback itself should be fixed by anaconda patch, but we would be probably seeing issues similar to those we've been seeing in RHEL 7 without applying this NM change in Fedora.

Comment 9 Thomas Haller 2017-05-16 08:29:07 UTC
(In reply to Radek Vykydal from comment #8)
> Will this update go to F26 as well? I am not sure if the new build for f26
> has it and when it will hit the compose.

Yes. Fedora 26 now has 1.8.0, which has this fix as well. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d285a0c72f

Comment 10 Jan Stodola 2017-06-15 14:36:37 UTC
*** Bug 1439220 has been marked as a duplicate of this bug. ***

Comment 11 Jan Stodola 2017-06-17 19:49:28 UTC
*** Bug 1439220 has been marked as a duplicate of this bug. ***

Comment 12 errata-xmlrpc 2017-08-01 09:27:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2299


Note You need to log in before you can comment on or make changes to this bug.